.boxArticles{
display: grid;
grid-template-columns: 1fr 1fr 1fr 1fr;
grid-gap: 16px 16px;
}
.boxArticles>a{
display: block;
opacity: 0;
transform: translateY(40px);
transition: opacity 0.6s ease, transform 0.6s ease;
}
.boxArticles>a.show {
opacity: 1;
transform: translateY(0);
}

.boxArticles .imgP{
overflow: hidden;
position: relative;
border-radius: 20px;
}
.boxArticles .imgP:after{
content: '';
position: absolute;
top: 0;
left: 0;
right: 0;
bottom: 0;
background-image: linear-gradient(to bottom, rgba(0,0,0,0.3), rgba(0,0,0,0));
background-repeat: no-repeat;
background-size: 100% 50%;
background-position: top;
background-color: rgba(0,0,0,0);
transition:
        background-size 0.5s ease-out,
        background-color 0.5s ease-out;
z-index: 1;
}
.boxArticles .aCat:hover .imgP:after{
background-size: 100% 100%;
background-color: rgba(0,0,0,0.5);
}

.boxArticles .imgP img{
width: 100%;
height: 100%;
object-fit: cover;
z-index: 2;
transition: all 0.5s ease-out 0s;
transform: scale(1.1);
}


.boxArticles .aCat.show .imgP img {
transform: scale(1);
}
.boxArticles .aCat:hover .imgP img{
transform: scale(1.1);
}

.boxArticles .imgP .zajawkaTytul{
position: absolute;
width: 100%;
top: 0;
left: 0;
right: 0;
z-index: 3;
}
.boxArticles .imgP .zajawkaTytul .tytulArticle{
font-size: 25px;
font-weight: 700;
color: #fff;
padding: 35px 10px 5px 25px;
box-sizing: border-box;
display: block;
text-transform: uppercase;
line-height: 1.2em;
/*
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 3;
overflow: hidden;
*/
overflow-wrap: break-word;

}
.boxArticles .imgP .zajawkaTytul .tytulArticle span{
hyphens: auto;
}

@media screen and (max-width:1200px){
.boxArticles .imgP .zajawkaTytul .tytulArticle{font-size: 28px;}
.boxArticles{gap: 20px;grid-template-columns: repeat(2, 1fr);}
}



@media screen and (max-width:750px){
.boxArticles .imgP .zajawkaTytul .tytulArticle{font-size: 20px;}
}


